<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="tour" xml:lang="de">

  <info>
    <link type="guide" xref="index" group="#first"/>
    <link type="next" xref="tour-glade"/>
    <revision version="0.1" date="2013-06-17" status="stub"/>

    <credit type="author copyright">
      <name>Ekaterina Gerasimova</name>
      <email its:translate="no">kittykat3756@gmail.com</email>
      <years>2013</years>
    </credit>
    <credit type="author copyright">
      <name>Gordon Hill</name>
      <email its:translate="no">caseyweederman@gmail.com</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Erste Schritte mit GtkApplication in JavaScript und Erzeugung einer Benutzeroberfläche mit Glade.</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Mario Blättermann</mal:name>
      <mal:email>mario.blaettermann@gmail.com</mal:email>
      <mal:years>2009-2012, 2016</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Christian Kirbach</mal:name>
      <mal:email>christian.kirbach@gmail.com</mal:email>
      <mal:years>2011, 2012, 2015, 2017, 2018</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Aljosha Papsch</mal:name>
      <mal:email>al@rpapsch.de</mal:email>
      <mal:years>2012</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Tim Sabsch</mal:name>
      <mal:email>tim@sabsch.com</mal:email>
      <mal:years>2019</mal:years>
    </mal:credit>
  </info>

  <title>Erste Schritte</title>

  <links type="prevnext" style="top"/>

  <links type="series" style="floatend">
    <title>Erste Schritte mit GNOME</title>
  </links>

  <p>Eine Benutzeroberfläche (UI) kann direkt als Programmcode konstruiert oder in Glade erzeugt werden, dem UI-Editor für GNOME. Glade erzeugt XML-Dateien, die die Attribute einer Anwendung beschreiben.</p><p>Sie erstellen eine GtkBuilder-Datei in Glade. Auf Basis des Inhalts der Datei wird mit einem Gjs-Skript ein Fenster angezeigt, auf das zugegriffen werden kann. Das Skript wird in mehreren Schritten untersucht und ist vollständig in der Zusammenfassung enthalten.</p>

  <links type="prevnext"/>
</page>
